#
# spec file for package segv_handler
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           segv_handler
Version:        0.0.1
Release:        bp156.3.1
Url:            http://samba.org/ftp/unpacked/junkcode/segv_handler/
Summary:        System wide segv handler to produces a backtrace
License:        GPL-2.0+
Group:          Development/Tools/Other
Source2:        README
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%global debug_package %{nil}

%description
This is a useful utility for installing a system-wide segv handler that
produces a backtrace on any program that gets a SEGV signal. It is
installed as a preload, so you don't need to modify the target
programs.



Authors:
--------
    Andrew Tridgell <tridge at Samba dot org>

%prep
cp -p %{S:2} ${RPM_BUILD_DIR}

%build
mkdir -p ${RPM_BUILD_ROOT}/%{_docdir}/%{name}

%files
%defattr(-,root,root)
%doc README

%changelog
* Mon Jan 18 2021 Matthias Gerstner <matthias.gerstner@suse.com>
- Replace by empty package with README explaining the removal for security
  reasons (bsc#1180665).
* Tue Oct 14 2014 jengelh@inai.de
- Remove ancient specfile tags and sections
* Fri Oct 27 2006 dmueller@suse.de
- don't build as root
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 15 2005 uli@suse.de
- skip the test on ARM (signal handling is not yet perfect in QEMU)
* Wed Jul  6 2005 lmuelle@suse.de
- Set CFLAGS=$RPM_OPT_FLAGS while build.
* Thu Feb  3 2005 lmuelle@suse.de
- Initial SuSE package.
